@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:ital,wght@0,500;0,600;0,700;1,400&display=swap');

:root{
    --color-body: #b6cbce;
    --color-heading:  #eef3db;
    --color-base:  #033f47;
    --color-base2: #022a30;
    --color-brand: #e0f780;
    --sidbar-width: 250px;
    --font-base: "Bai Jamjuree";
}

body{
    background-color: var(--color-base2);
    color:var(--color-body);
    font-family: var(--font-base), sans-serif;
}

h1,h2,h3,h4,h5,h6{
    color: var(--color-heading);
    font-weight: 700;
}

a {
    text-decoration: none;
    color: var(--color-body);
    transition: all 0.4s ease;
}

a:hover{
    color: var(--color-brand);
}

image{
    width: 100%;
}

.text-brand{
    color: var(--color-brand);
}

.bg-base{
    background-color: var(--color-base);
}
/*Navbar*/
.navbar{
    background-color: var(--color-base);
}

.full-height{
    min-height: 100vh;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 80px;
    padding-bottom: 80px;
    border-bottom: 2px solid rgba(255,255,255, 0.1);
}

.shadow-effect{
    transition: all 0.5s;
}

.shadow-effect:hover{
    box-shadow: -6px 6px 0 0 var(--color-brand);
}

/* Importing Open Sans Condensed Google font */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap');


#digital-clock {
 background-color: transparent;
 width: 200px;
 margin: auto;
 margin-top: 10px;
 padding-top: 25px;
 padding-bottom: 25px;
 font-family: 'Open Sans Condensed', sans-serif;
 font-size: 20px;
 color: white;
 text-align: center;
 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.iconbox{
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    background-color: var(--color-brand);
    color: var(--color-base);
}

.navbar .nav-link{
    font-weight: 700;
    text-transform: uppercase;
    color: white;
}

.navbar .nav-link:hover{
    color: var(--color-brand);
}

.navbar .nav-link.active {
    color: var(--color-brand);
}

@media (min-width: 992px) {
    .navbar{
        min-height: 100vh;
        width: var(--sidbar-width);
        background: linear-gradient(rgba(3, 63, 71, 0.5), rgba(3, 63, 71, 0.9)), url(../images/sidebar-img.jpg);
        background-size: cover;
        background-position: center;
    }
    img {  
        max-width: 100%;  
        height: auto;  
        } 
    .navbar-brand img{
        border: 8px solid var(--color-brand);
    }
}

/* Main content wrapper */
#content-wrapper{
    padding-left: var(--sidbar-width);
}

.btn{
    padding: 12px 28px;
    font-weight: 700;
}

.btn-brand{
    background-color: var(--color-brand);
    border-color: var(--color-brand);
}

.btn-brand:hover,
.btn-brand:focus{
    background-color: #deff58;
    color: var(--color-base);
    border-color: #deff58;
}

.link-custom{
    font-weight: 700;
    position: relative;
}

.link-custom::after{
    content: "";
    width: 0%;
    height: 1.5px;
    background-color: var(--color-brand);
    position: absolute;
    left: 0;
    top: 110%;
    transition: all 0.4s;
}

.link-custom:hover::after{
    width: 100%;
}

/*CARD*/

.card-custom .card-custom-image{
    overflow: hidden;
}

.card-custom .card-custom-image img{
    transition: all 0.4s ease;
}

.card-custom:hover ,.card-custom-image img{
    transform: scale(1.05);
}

/*CONTACT*/

#contact .form-control{
    background-color: var(--color-base);
    border-color : var(--color-base);
    color: var(--color-body);
}

#contact .form-control:focus{
    border-color: var(--color-brand);
    box-shadow: none;
}

#contact .form-control::placeholder{
    color: var(--color-body)
}

#contact .input.form-control{
    height: 44px;
}

.social-icons a{
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-base);
    border-radius: 100px;
    font-size: 24px;
}
